/**
 * 工单管理
 * */
var detailOrderNum = ''; //获取工单详情的工单ID
$(document).ready(function() {
	//初始化时间
	laydate.render({
		elem: '#sc_time',
		range: '~',
		theme: '#1ab394',
		calendar: true
	});
	//获取工单来源
	// helper.getDropList.getlistDropByDic($('#sc_source'), 'GDLY');
	//获取工单类型
	// helper.getDropList.getlistDropByDic($('#sc_type'), 'GDLX');
	//获取业务办理
	// helper.getDropList.getlistDropByDic($('#sc_handle'), 'YWLX');
	initTable();
	$("#sc_btns").click(function() {
		initTable();
		$(".Closed").trigger('click');
	});
});

//工单管理内的列表
function initTable() {
	var orderMenu = top.$("iframe:visible")[0].src.split('/WorkOrder/')[1];
	// console.log(orderMenu);
	//工单状态(0待指派 1待接单的 2待完成的(待处理) 3已完成的 4我参与的 5超期工单)
	var state = ''; //否	string	工单状态
	switch(orderMenu) {
		case "WorkOrderAppoint.html": //待指派
			state='16';
			break;
		case "WorkOrderReceive.html": //待接单
			state=1;
			break;
		case "WorkOrderTobeass.html": //待指派
			state='0';
			break;
		case "WorkOrderPostpone.html": //延期
			state='11';
			break;
		case "WorkOrderApproved.html": //待办理
			state="15";
			break;
		case "WorkOrderWXapprove.html": //微信未办理
			state='12';
			break;
		case "WorkOrderChargeback.html": //退单工单
			state='17';
			break;	
		case "WorkOrderParty.html": //已处理
			state='10';
			break;
		case "WorkOrderDispose.html": //待处理
			state = '2';
			break;
		case "WorkOrderPartake.html": //已参与
			state = '3';
			break;
		case "WorkOrderOverdue.html": //超期
		    init();
			state = '5';
				return;
			break;
		case "approval_list.html": //高层待办理
		     state = '8';
			break;
		case "WorkOrderPending.html": //高层已办理
		     state = '13';
			break;
		case "WorkOrderEmployees.html": //员工工单
		     state = '14';
			break;
		case "WorkOrderClient.html": //客户反馈
		     state = '9';
			break;
		case "WorkOrderExpedite.html": //工单催办
			initTableExpedite();
			return;
			break;
		case "WorkOrderSearch.html": //综合查询
			getcomprehensive();
			return;
			break;
		default:
			break;
	}
	//先销毁表格
	$('#workorderlist').bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	$("#workorderlist").bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		url: huayi.config.callcenter_url + "WorkOrderNew/GetList", //获取数据的Servlet地址
		contentType: 'application/x-www-form-urlencoded',
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pageSize: 5, //每页显示的记录数
		pageNumber: 1, //当前第几页
		pageindex: [5, 20, 50, 100], //记录数可选列表
		search: false, //是否启用查询
		showColumns: false, //显示下拉框勾选要显示的列
		showRefresh: false, //显示刷新按钮
		sidePagination: "server", //表示服务端请求
		//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		//设置为limit可以获取limit, offset, search, sort, order
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				pageindex: params.pageNumber,
				pagesize: params.pageSize,
				pagination:params.pagination,
				keywords: $('#sc_key').val(), //string 关键字：可输入客户姓名,电话,工单号，反馈内容   keyword keywords
				state: state ,//string 状态列表："0"://待指派的、"1"://待接单的、"2"://待完成的(待处理)、"3"://已完成的、"4"://我参与的、"5"://超期工单
				// isaudit: isaudit,//int 微信列表（0未办理微信列表，1已办理微信列表）
				// state: $('#sc_state').val(),//int 
				code:$('#sc_ke').val(),
				source: $('#sc_source').val(),//int 工单来源
				type: $('#sc_type').val(),//int 工单类型
				
				
				// typeclass: $('#sc_handle').val(),// int 业务类型
				starttime: $('#sc_time').val() && $('#sc_time').val().split(' ~ ')[0],//string 工单开始时间
				endtime: $('#sc_time').val() && $('#sc_time').val().split(' ~ ')[1],//string  工单结束时间
				token: $.cookie("token")
			};
			return param;
		},
		onLoadSuccess: function() { //加载成功时执行
			//layer.msg("加载成功");
			authorizeOperateButton(); //获取 userRoleCode 判断按钮权限
		},
		onLoadError: function() { //加载失败时执行
			//layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});
}
//超期工单
function init() {
	//先销毁表格
	$('#workorderlist').bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	$("#workorderlist").bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		url: huayi.config.callcenter_url + "WorkOrderNew/GetOvertime", //获取数据的Servlet地址
		contentType: 'application/x-www-form-urlencoded',
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pagesize: 5, //每页显示的记录数
		pageNumber: 1, //当前第几页
		pageindex: [5, 20, 50, 100], //记录数可选列表
		search: false, //是否启用查询
		showColumns: false, //显示下拉框勾选要显示的列
		showRefresh: false, //显示刷新按钮
		sidePagination: "server", //表示服务端请求
		//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		//设置为limit可以获取limit, offset, search, sort, order
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				pageindex: params.pageNumber,
				pagesize: params.pageSize,
				keywords: $('#sc_key').val(), //否	string	模糊搜索（客户姓名,电话,房间号,工单号）keyword
				code:$('#sc_ke').val(),//工单单号查询
				source: $('#sc_source').val(), //否	string	工单来源
				type: $('#sc_type').val(), //否	string	工单类型
				starttime: $('#sc_time').val() && $('#sc_time').val().split(' ~ ')[0], //否	string	工单起止时间
				endtime: $('#sc_time').val() && $('#sc_time').val().split(' ~ ')[1], //否	string	工单起止时间
				areaid: $('#sc_rengin').val(), //否	string	区域id
				regionid: $('#sc_pro').val(), //否	string	项目id
				buldingid: $('#sc_floor').val(), //否	string	期号id
				isaudit: '1', //微信列表（0未办理微信列表，1已办理微信列表,-1所有）
				token: $.cookie("token"),
			};
			return param;
		},
		onLoadSuccess: function() { //加载成功时执行
			//layer.msg("加载成功");
			authorizeOperateButton(); //获取 userRoleCode 判断按钮权限
		},
		onLoadError: function() { //加载失败时执行
			//layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});
}
//综合查询
function getcomprehensive() {
	//先销毁表格
	$('#workorderlist').bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	$("#workorderlist").bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		url: huayi.config.callcenter_url + "WorkOrderNew/GetComprehensive", //获取数据的Servlet地址
		contentType: 'application/x-www-form-urlencoded',
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pagesize: 5, //每页显示的记录数
		pageNumber: 1, //当前第几页
		pageindex: [5, 20, 50, 100], //记录数可选列表
		search: false, //是否启用查询
		showColumns: false, //显示下拉框勾选要显示的列
		showRefresh: false, //显示刷新按钮
		sidePagination: "server", //表示服务端请求
		//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		//设置为limit可以获取limit, offset, search, sort, order
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				pageindex: params.pageNumber,
				pagesize: params.pageSize,
				state: $('#sc_state').val(),//int 
                keywords: $('#sc_key').val(), //否	string	模糊搜索（客户姓名,电话,房间号,工单号）keyword
                code: $('#sc_ke').val(),
				source: $('#sc_source').val(), //否	string	工单来源
				type: $('#sc_type').val(), //否	string	工单类型
				starttime: $('#sc_time').val() && $('#sc_time').val().split(' ~ ')[0], //否	string	工单起止时间
				endtime: $('#sc_time').val() && $('#sc_time').val().split(' ~ ')[1], //否	string	工单起止时间
			
	
				token: $.cookie("token"),
			};
			return param;
		},
		onLoadSuccess: function() { //加载成功时执行
			//layer.msg("加载成功");
			authorizeOperateButton(); //获取 userRoleCode 判断按钮权限
		},
		onLoadError: function() { //加载失败时执行
			//layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});
}


//工单催办
function initTableExpedite() {
	//先销毁表格
	$('#workorderlist').bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	$("#workorderlist").bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		url: huayi.config.callcenter_url + "WorkOrderNew/GetUrgeList", //获取数据的Servlet地址
		contentType: 'application/x-www-form-urlencoded',
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pagesize: 5, //每页显示的记录数
		pageNumber: 1, //当前第几页
		pageindex: [5, 20, 50, 100], //记录数可选列表
		search: false, //是否启用查询
		showColumns: false, //显示下拉框勾选要显示的列
		showRefresh: false, //显示刷新按钮
		sidePagination: "server", //表示服务端请求
		//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		//设置为limit可以获取limit, offset, search, sort, order
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				pageindex: params.pageNumber,
				pagesize: params.pageSize,
				keywords: $('#sc_key').val(), //否	string	模糊搜索（客户姓名,电话,工单号）keyword
				source: $('#sc_source').val(), //否	string	工单来源
				type: $('#sc_type').val(), //否	string	工单类型
				starttime: $('#sc_time').val() && $('#sc_time').val().split(' ~ ')[0], //否	string	工单起止时间
				endtime: $('#sc_time').val() && $('#sc_time').val().split(' ~ ')[1], //否	string	工单起止时间
				areaid: $('#sc_rengin').val(), //否	string	区域id
				regionid: $('#sc_pro').val(), //否	string	项目id
				buldingid: $('#sc_floor').val(), //否	string	期号id
				isaudit: '1', //微信列表（0未办理微信列表，1已办理微信列表,-1所有）
				token: $.cookie("token"),
			};
			return param;
		},
		onLoadSuccess: function() { //加载成功时执行
			//layer.msg("加载成功");
			authorizeOperateButton(); //获取 userRoleCode 判断按钮权限
		},
		onLoadError: function() { //加载失败时执行
			//layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});
}

//获取 userRoleCode 判断按钮权限
function authorizeOperateButton() {
	var userRoleCode = $.cookie("userRoleCode");
	// userRoleCode = "";//测试数据
	//所有人均有创建和查询的功能，XTGLY-系统维护、CJGLY-超级管理员拥有所有权限
	$('.tool_downs').find('[authorize=yes]').show();
	$('#workorderlist').find('.workOprate').hide();
	switch(userRoleCode) {
		case "XTGLY": // 系统维护
		case "CJGLY": // 超级管理员
			$('.tool_downs').find('[authorize=yes]').show();
			$('#workorderlist').find('.workOprate').show();
			break;
		case "JDYPTZX": // 普通坐席 派单(分配)、处理、接单、删除、[催办]
		case "JDYBZZX": // 坐席班长 派单(分配)、处理、接单、删除、[催办]
				$('.tool_downs').find('[id*="HY_transfer"]').show();
				$('.tool_downs').find('[id*="HY_end"]').show();
				$('.tool_downs').find('[id*="HY_delete"]').show();
				// $('.tool_downs').find('[id*="HY_remind"]').show();
				$('.tool_downs').find('[id*="HY_receive"]').show();
				$('#workorderlist').find('.workOprate1').show(); //待指派
				$('#workorderlist').find('.workOprate2').show(); //待处理
				// $('#workorderlist').find('.workOprate3').show(); //工单催办
				$('#workorderlist').find('.workOprate6').show(); //待接单
			break;
		case "JG": // JG-监管 退回/接单、分配、处理、催办
				$('.tool_downs').find('[id*="HY_back"]').show();
				$('.tool_downs').find('[id*="HY_receive"]').show();
				$('.tool_downs').find('[id*="HY_transfer"]').show();
				$('.tool_downs').find('[id*="HY_end"]').show();
				$('.tool_downs').find('[id*="HY_remind"]').show();
				$('#workorderlist').find('.workOprate6').show(); //待接单
				// $('#workorderlist').find('.workOprate1').show(); //待指派
				$('#workorderlist').find('.workOprate2').show(); //待处理
				$('#workorderlist').find('.workOprate3').show(); //工单催办
				$('#workorderlist').find('.workOprate4').show(); //超期工单
			break;
		case "BLRY":	//BLRY-办理人员 退回/接单、处理 异常退回
				$('.tool_downs').find('[id*="HY_back"]').show();
				$('.tool_downs').find('[id*="HY_receive"]').show();
				$('.tool_downs').find('[id*="HY_end"]').show();
				$('.tool_downs').find('[id*="HY_abnormal_back"]').show();
				$('#workorderlist').find('.workOprate6').show(); //待接单
				$('#workorderlist').find('.workOprate2').show(); //待处理
			break;
// 		case "1": //接待部(400接待员) （创建、分配、处理、修改、催办 、评论、办理微信工单 ，删除）
// 
// 			$('.tool_downs').find('[id*="HY_edit"]').show();
// 			$('.tool_downs').find('[id*="HY_remind"]').show();
// 			$('.tool_downs').find('[id*="HY_comment"]').show();
// 			$('.tool_downs').find('[id*="HY_auditor"]').show();
// 
// 			$('#workorderlist').find('.workOprate5').show(); //已处理
// 			$('#workorderlist').find('.workOprate7').show(); //综合查询
// 			$('#workorderlist').find('.workOprate8').show(); //微信工单
// 			break;
		default:
			break;
	}

}

//格式化操作（综合查询）
function formatterOprate(val, row) {
	//工单状态0待指派，1待处理，2已处理
	// 0新工单待指派，1已指派待接单，2已接单待处理，3已退回待处理，4处理中，5已完结
	if(row.State === 2) {
		return '<ul class="tool_downs">' +
			'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_delete_' + row.ID + '" onclick="btn_delete(' + val + ')" title="删除">删除</a></li>' +
			'</ul>';
	} else {
		return '<ul class="tool_downs">' +
			'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_edit_' + row.ID + '" onclick="btn_edit(\'' + row.ID + '\')" title="修改">修改</a></li>' +
			'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_delete_' + row.ID + '" onclick="btn_delete(' + val + ')" title="删除">删除</a></li>' +
			'</ul>';
	}
}

function formatter(val) {
	// return '<div>官网</div>'
	var state = '';
	var stateClass = '';
	switch(val) { //是否有效工单项(0有效，1无效)
		case 1:
			state = '电话';
			stateClass = 'audit_done';
			break;
		case 2:
			state = '微信业务员';
			stateClass = 'audit_revoke';
			break;
		case 3:
			state = '微信客户';
			stateClass = 'audit_revoke';
			break;
		case 4:
			state = '官网';
			stateClass = 'audit_revoke';
			break;
		default:
			break;
	}
	return '<div class="' + stateClass + '">' + state + '</div>';
}

function order(val){
		var stateStr = '-';
		var stateClass = '';
		switch(val) { //是否有效工单项(0有效，1无效)
			case 1:
				stateStr = '咨询';
				stateClass = 'audit_done';
				break;
			case 2:
				stateStr = '投诉';
				stateClass = 'audit_revoke';
				break;
			case 3:
				stateStr = '抽检';
				stateClass = 'audit_revoke';
				break;
			case 4:
				stateStr = '建议及其他';
				stateClass = 'audit_revoke';
				break;
			default:
				break;
		}
		return '<div class="' + stateClass + '">' + stateStr + '</div>';
}

//格式化操作 （待指派）
function formatterOprateDeal(val, row) {
	return '<ul class="tool_downs">' +
		'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_edit_' + row.ID + '" onclick="btn_edit(\'' + row.F_ID + '\')" title="修改">修改</a></li>' +
		'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_delete_' + row.ID + '" onclick="btn_delete(\'' + row.F_ID + '\')" title="删除">删除</a></li>' +
		'</ul>';
}
//格式化操作 （待指派）
function formatterDesig(val, row) {
	return '<ul class="tool_downs">' +
		'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_transfer_' + row.ID + '" onclick="btn_transfer(\'' + row.F_ID + '\', false, \''+ row.IsAdminSend +'\')" title="指派">指派</a></li>' +
		'</ul>';
}
//格式化操作 （待接单）
function formatterOprateReceive(val, row) {
	return '<ul class="tool_downs">' +
		'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_receive_' + row.ID + '" onclick="btn_receive(\'' + row.F_ID + '\')" title="接单">接单</a></li>' +
		'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_back_' + row.ID + '" onclick="btn_back(\'' + row.F_ID + '\')" title="退回">退回</a></li>' +
		'</ul>';
}

//格式化操作 （微信工单  办理）
function formatterOprateWchart(val, row) {
	return '<ul class="tool_downs">' +
		'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_auditor_' + row.ID + '" onclick="btn_auditor(\'' + row.F_ID + '\')" title="办理">办理</a></li>' +
		// '<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_delete_' + row.ID + '" onclick="btn_delete(\'' + row.F_ID + '\')" title="删除">删除</a></li>' +
		'</ul>';
}

//格式化操作 （待处理）
function formatterOprateDispose(val, row) {
	return '<ul class="tool_downs">' +
		// '<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_delete_' + row.ID + '" onclick="btn_delete(\'' + row.ID + '\')" title="删除">删除</a></li>' +
		'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_transfer_' + row.ID + '" onclick="btn_transfer(\'' + row.F_ID + '\', false, \''+ row.IsAdminSend +'\')" title="分配">分配</a></li>' +
		'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_end_' + row.ID + '" onclick="btn_end(\'' + row.F_ID + '\', false)" title="申请结单">申请结单</a></li>' +
		'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_abnormal_back_' + row.ID + '" onclick="btn_abnormal_back(\'' + row.F_ID + '\')" title="异常退回">异常退回</a></li>' +
		'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_abnorm' + row.ID + '" onclick="btn_bacd(\'' + row.F_ID + '\')" title="申请延期">申请延期</a></li>' +
		'</ul>';

}
//格式化操作 （待办理）
function formatterExamine(val, row) {
	return '<ul class="tool_downs">' +
		'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_abnorm' + row.ID + '" onclick="btn_examine(\'' + row.F_ID + '\')" title="办理">办理</a></li>' +
		'</ul>';

}
//格式化操作 （待办理）
function chargeback(val, row) {
	if ($.cookie("userRoleCode")=="YWY") {
		return '<ul class="tool_downs">' +
		'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_edit_' + row.ID + '" onclick="btn_edit(\'' + row.F_ID + '\')" title="修改">修改</a></li>' +
		'</ul>';
	}else{
		return '<ul class="tool_downs">' +
		'<li><a href="javascript:;" class="aBtn banliBtn" authorize="yes" id="HY_abnorm' + row.ID + '" onclick="btn_examine(\'' + row.F_ID + '\')" title="办理">办理</a></li>' +
		'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_edit_' + row.ID + '" onclick="btn_edit(\'' + row.F_ID + '\')" title="修改">修改</a></li>' +
		'</ul>';
	}
	
	

}
//格式化操作 （延时办理）
function formatterPostpone(val, row) {
	return '<ul class="tool_downs">' +
		'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_abnorm' + row.ID + '" onclick="delay_app(\'' + row.F_ID + '\')" title="延时办理">延时办理</a></li>' +
		'</ul>';

}
//格式化操作 （已处理）
function formatterOprateParty(val, row) {
	return '<ul class="tool_downs">' +
		// '<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_delete_' + row.ID + '" onclick="btn_delete(\'' + row.ID + '\')" title="删除">删除</a></li>' +
		// '<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_comment_' + row.ID + '" onclick="btn_comment(\'' + val + '\')" title="评论">评论</a></li>' +
		'</ul>';
}
//格式化操作 （已处理）
function formatterOprateExpe(val, row) {
	return '<ul class="tool_downs">' +
		 	'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_comment_' + row.ID + '" onclick="btn_gcsp(\'' + row.F_ID + '\')" title="办理">办理</a></li>' +
		'</ul>';
}
//格式化操作 （工单催办 超期工单）
function formatterOprateExpedite(val, row) {
	return '<ul class="tool_downs">' +
		'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_remind_' + row.ID + '" onclick="btn_remind(\'' + row.F_ID + '\')" title="催办">催办</a></li>' +
		'</ul>';
}

//格式化操作 （修改记录）
function formatterOprateLogs(val, row) {
	return '<ul class="tool_downs">' +
		'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_deleteLogs_' + row.Id + '" onclick="btn_deleteLogs(' + row.Id + ')" title="删除">删除</a></li>' +
		'</ul>';
}

//格式化工单编号
function formatterOrderId(val, row) {
	return '<div class="imgs" ><a class="xg" onclick=btn_detail("' + row.F_ID + '") >' + val + '</a></div>'
}

//格式化 工单状态
function formatterState(val) {
	//工单状态0待指派，1待处理，2已处理 原来的状态 不用！！！！
	// 0新工单待指派，1已指派待接单，2已接单待处理，3已退回待处理，4异常退回待处理，5处理中，10已完结
	var state = '-';
	var stateClass = '';
	switch(val) { 
		case 0:
			state = '待指派';
			break;
		case 1:
			state = '待接单';
			break;
		case 2:
			state = '待处理';
			break;
		case 3:
			state = '已退回';
			break;
		case 4:
			state = '异常退回';
			break;
		case 5:
			state = '处理中';
			break;
		case 4:
			state = '异常退回';
			break;
		case 5:
			state = '处理中';
			break;
		case 6:
			state = '待回访';
			break;
		case 7:
			state = '待完结';
			//stateClass = 'audit_termination'; 
			break;
		case 10:
			state = '已处理';
			break;
		case 11:
			state = '已回访';
			break;
		case 12:
			state = '已退回';
			break;
		case 13:
			state = '导入工单';
			//stateClass = 'audit_termination'; 
			break;
		case 14:
			state = '待办理';
			break;
		case 15:
			state = '微信未通过';
			//stateClass = 'audit_termination'; 
			break;
		case 16:
			state = '待办理';
			break;
		default:
			break;
	}

	return '<div class="' + stateClass + '">' + state + '</div>';
}

//格式化 工单有效性
function formatterIsEffective(val) {
	var state = '-';
	var stateClass = '';
	switch(val) { //是否有效工单项(0有效，1无效)
		case 0:
			state = '有效';
			stateClass = 'audit_done';
			break;
		case 1:
			state = '无效';
			stateClass = 'audit_revoke';
			break;
		default:
			break;
	}
	return '<div class="' + stateClass + '">' + state + '</div>';
}

//格式化 反馈内容
function formatterDetail(val) {
	if(val) {
		var strD = decodeURIComponent(val);
		strD = helper.filter.filterHTMLTag(strD);
		if(strD.length > 10) {
			strD = strD.substring(0, 10) + '...';
		}
		return strD;
	}
}

//格式化接收人
function formatterAuditUser(val) {
	if(val === "0") {
		return '-';
	} else {
		return val;
	}
}

/**
 * 修改
 * oid工单id
 * isDetail 是否是详情页面的处理
 * */
function btn_edit(oid, isDetail) {
	layer.open({
		type: 2,
		title: '修改工单',
		maxmin: true, //开启最大化最小化按钮
		area: ['80%', '90%'],
		content: '../commonTpl/addOrEditWorkOrder.html?oid=' + oid + '&isDetail=' + isDetail
	});
}


/**
 * 这个是原来的处理 包含转派和处理；已经不用
 * 处理
 * oid 工单ID
 * idDeal 是否待处理的标志
 * isDetail 是否是详情页面的处理
 * proid 项目id
 * */
function btn_deal(oid, isDeal, isDetail, proid) {
	layer.open({
		type: 2,
		title: '处理工单',
		maxmin: true, //开启最大化最小化按钮
		area: ['80%', '90%'],
		content: "../commonTpl/WorkOrderDeal.html?oid=" + oid + "&isDeal=" + isDeal + "&isDetail=" + isDetail + "&proid=" + proid
	});
}

/**
 * 处理(结束)
 * oid 工单ID
 * isDetail 是否是详情页面的处理
 * */
function btn_end(oid, isDetail) {
	layer.open({
		type: 2,
		title: '工单结单',
		maxmin: true, //开启最大化最小化按钮
		area: ['80%', '90%'],
		content: "../commonTpl/WorkOrderEnd.html?oid=" + oid + "&isDetail=" + isDetail,
	});
}

/**
 * 分配
 * oid 工单ID
 * isDetail 是否是详情页面的处理
 * proid 项目id
 * */
function btn_transfer(oid, isDetail, proid) {
	layer.open({
		type: 2,
		title: '分配工单',
		maxmin: true, //开启最大化最小化按钮
		area: ['80%', '90%'],
		content: "../commonTpl/WorkOrderTransfer.html?oid=" + oid + "&isDetail=" + isDetail + "&proid=" + proid,
	});
}
//申请延期
function btn_bacd(oid) {
	layer.open({
		type: 2,
		title: '申请延期',
		maxmin: true, //开启最大化最小化按钮
		area: ['50%', '60%'],
		content: "../commonTpl/AppExtension.html?oid=" + oid,
	});
}
//申请延期
function delay_app(oid,delay_time) {
	layer.open({
		type: 2,
		title: '延时办理',
		maxmin: true, //开启最大化最小化按钮
		area: ['50%', '60%'],
		content: "../commonTpl/delayApproval.html?oid=" + oid + "&delay_time=" + delay_time,
	});
}
//申请延期
function btn_examine(oid) {
	layer.open({
		type: 2,
		title: '待办理',
		maxmin: true, //开启最大化最小化按钮
		area: ['50%', '60%'],
		content: "../commonTpl/sttyExamine.html?oid=" + oid,
	});
}

//接单
function btn_receive(oid) {
	layer.confirm('您确认要接单吗？', {
		icon: 7,
		btn: ['接单', '取消'] //按钮
	}, function() {
		$.post(huayi.config.callcenter_url + 'WorkOrderNew/SureWorkOrder', {
			orderid: oid,
			token: $.cookie("token")
		}, function(result) {
			result = $.parseJSON(result);
			if(result.state.toLowerCase() == "success") {
				//debugger
				layer.msg("接单成功");
//				$('#workorderlist').bootstrapTable('refresh');
//				$('.Closed').trigger('click');
				setTimeout(function () {
					window.location.reload()
		        }, 500);
			}
		})
	});
}

//退回
function btn_back(oid) {
	layer.prompt({
		formType: 2,
		value: '',
		title: '请输入退回原因',
		area: ['800px', '240px'] //自定义文本域宽高
	}, function(value, index, elem) {
		$.post(huayi.config.callcenter_url + 'WorkOrderNew/BackWorkOrder', {
			orderid: oid,//	工单ID
			cont: value, // 退回原因
			type: 0, // 0退回，1异常退回
			token: $.cookie("token")
		}, function(result) {
			result = $.parseJSON(result);
			if(result.state.toLowerCase() == "success") {
				$('#workorderlist').bootstrapTable('refresh');
				// top.workcount();
				$('.Closed').trigger('click');
				layer.close(index);
				layer.msg("退回成功！");
			}
		})
	});
}

//异常退回
function btn_abnormal_back(oid) {
	layer.prompt({
		formType: 2,
		value: '',
		title: '请输入异常退回原因',
		area: ['800px', '240px'] //自定义文本域宽高
	}, function(value, index, elem) {
		$.post(huayi.config.callcenter_url + 'WorkOrderNew/BackWorkOrder', {
			orderid: oid,//	工单ID
			cont: value, // 退回原因
			type: 1, // 0退回，1异常退回
			token: $.cookie("token")
		}, function(result) {
			result = $.parseJSON(result);
			if(result.state.toLowerCase() == "success") {
				$('#workorderlist').bootstrapTable('refresh');
				// top.workcount();
				$('.Closed').trigger('click');
				layer.close(index);
				layer.msg("异常退回成功！");
			}
		})
	});
}

//办理
function btn_auditor(oid) {
	layer.open({
		type:2,
		title: '办理工单',
		maxmin: true, //开启最大化最小化按钮
		area: ['40%', '30%'],
		content: "../commonTpl/examine.html?oid=" + oid,
	});
}

/**
 * 办理
 * oid 工单id
 * isvalid 0有效，1无效
 * oval 不通过原因
 * */
function auditWorkOrder(oid, isvalid, oval) {
	$.post(huayi.config.callcenter_url + 'WorkOrder/AuditWorkOrder', {
		orderid: oid,
		iseffective: isvalid, //否	int	工单有效性 默认0 是否有效工单项(0有效，1无效)
		note: oval, //	否	string	无效原因
		token: $.cookie("token")
	}, function(result) {
		result = $.parseJSON(result);
		if(result.state.toLowerCase() == "success") {
			$('#workorderlist').bootstrapTable('refresh');
			// top.workcount();
			$('.Closed').trigger('click');
			layer.msg("办理成功！");
		}
	});
}
//评论
function btn_gcsp(oid) {
	layer.prompt({
		formType: 2,
		value: '',
		title: '请输入办理内容',
		area: ['800px', '240px'] //自定义文本域宽高
	}, function(value, index, elem) {
		$.post(huayi.config.callcenter_url + 'WorkOrderNew/HigApprovalOrder', {
			orderid: oid,
			cont: value,
			token: $.cookie("token")
		}, function(result) {
			result = $.parseJSON(result);
			if(result.state.toLowerCase() == "success") {
				layer.msg("办理成功！");
				$('#workorderlist').bootstrapTable('refresh');
				$('.Closed').trigger('click');
				layer.close(index);
			}
		})

	});
}
//评论
function btn_comment(oid) {
	layer.prompt({
		formType: 2,
		value: '',
		title: '请输入评论内容',
		area: ['800px', '240px'] //自定义文本域宽高
	}, function(value, index, elem) {
		$.post(huayi.config.callcenter_url + 'WorkOrder/AddWorkOrderComment', {
			orderid: oid,
			cont: value,
			token: $.cookie("token")
		}, function(result) {
			result = $.parseJSON(result);
			if(result.state.toLowerCase() == "success") {
				layer.msg("评论工单成功！");
				$('#workorderlist').bootstrapTable('refresh');
				top.workcount();
				$('.Closed').trigger('click');
				layer.close(index);
			}
		})

	});
}

//催办
function btn_remind(oid) {
	layer.prompt({
		formType: 2,
		value: '',
		title: '请输入催办内容',
		area: ['800px', '240px'] //自定义文本域宽高
	}, function(value, index, elem) {
		$.post(huayi.config.callcenter_url + 'WorkOrderNew/AddWorkOrderRemind', {
			orderid: oid,
			cont: value,
			token: $.cookie("token")
		}, function(result) {
			result = $.parseJSON(result);
			if(result.state.toLowerCase() == "success") {
				layer.msg("催办工单成功！");
				$('#workorderlist').bootstrapTable('refresh');
				// top.workcount();
				$('.Closed').trigger('click');
				layer.close(index);
			}
		})
	});
}

//删除
function btn_delete(id) {
	layer.confirm('确定删除当前记录？', {
		icon: 7,
		btn: ['是', '否'] //按钮
	}, function(index) {
		/*执行删除*/
		$.ajax({
			type: "post",
			url: huayi.config.callcenter_url + "WorkOrderNew/DelWorkOrder",
			dataType: 'json',
			async: true,
			data: {
				ids:id,
				token: $.cookie("token")
			},
			success: function(data) {
				layer.msg("删除成功！");
				$('#workorderlist').bootstrapTable('refresh');
				// top.workcount();
				$('.Closed').trigger('click');
				layer.close(index);
			}
		});
	});
}

//修改记录删除
function btn_deleteLogs(oid) {
	layer.confirm('确定删除当前记录？', {
		icon: 7,
		btn: ['是', '否'] //按钮
	}, function(index) {
		/*执行删除*/
		$.ajax({
			type: "post",
			url: huayi.config.callcenter_url + "WorkOrderLogs/Delete",
			dataType: 'json',
			async: true,
			data: {
				ids: oid,
				token: $.cookie("token")
			},
			success: function(data) {
				layer.msg("删除成功！");
				$('#itemTableList4').bootstrapTable('refresh');
				layer.close(index);
			}
		});
	});
}

/**
 * 查看详情
 * oid 工单id
 * isCallScreen 是否是来单弹屏中的工单详情
 * */
function btn_detail(oid, isCallScreen) {
	if(!isCallScreen){
		$('#order_details').load('./template/orderDetails.html');
	}else{
		$('#order_details').load('../WorkOrder/template/orderDetails.html');
	}
	$("#order_details").removeClass("Hidens");
	detailOrderNum = oid;
}

//获取工单详情
function getWorkOrderDetails() {
	$.getJSON(huayi.config.callcenter_url + 'WorkOrderNew/GetDetails', {
		id: detailOrderNum,
		"token": $.cookie("token")
	}, function(result) {	
		if(result.state.toLowerCase() == "success") {
			if(result.rows && result.rows.length > 0) {
				var data = result.rows[0];
				$("#xq_gdbh").text(data.F_WorkOrderCode);//工单编号
				$("#xq_gdlx").text(data.F_StateName); //工单状态
				$("#xq_cjsj").text(data.F_SourceName); //工单来源
				$("#xq_gdzt").text(data.F_TypeName); //工单类型
		   // 咨询详情模块
		        $("#con_witl").text(data.F_QuestionType); //问题类别
		        $("#con_cpiit").text(data.F_TS_Category); //产品名称
		        $("#con_wtlin").text(data.F_ZX_Quantity); //问题数量
				$("#con_refer").text(data.F_SalesBase); //销售基地
		   // 投诉详情模块	
		        $("#lain_cuse").text(data.F_TS_Category); //产品名称
				$("#lain_licti").text(data.F_ZX_Quantity); //问题数量
				$("#lain_citon").text(data.F_SalesBase); //销售基地
				$("#lain_kicou").text(data.F_BatchNumber); //生产批次号
		        $("#lain_with1").text(data.F_QuestionTypeone); //问题类别1
				$("#lain_with2").text(data.F_QuestionTypetwo); //问题类别2
				$("#lain_with3").text(data.F_QuestionType); //问题类别3
				$("#lain_iunct").text(data.F_TS_Level); //重要级别
		   // 抽检详情模块
				$("#spot_spion").text(data.F_QuestionType); //问题类别
		        $("#spot_jion").text(data.F_CJ_Level); //抽检级别
				$("#spot_danei").text(data.F_CJ_Unit); //抽检单位
				$("#spot_dunus").text(data.F_CJ_Tonnage); //抽检吨数
				$("#spot_dihi").text(data.F_CJ_BagNo); //抽检袋数
				$("#spot_time").text(data.F_CJ_Time); //抽检时间
				$("#spot_unit").text(data.F_CJ_TestUnit); //化验单位
				$("#spot_cihao").text(data.F_BatchNumber); //生产批次号
		        $("#spot_cihicon").text(data.F_CJ_Outlay); //公关费用
		    // 客户编号 物料编号模块
		        $("#client_ciont").text(data.F_CJ_Outlay); //客户编号 ........
				$("#client_wich").text(data.F_Salesman); //业务员
				$("#client_bnum").text(data.F_SalesPhone); //电话
				$("#client_xlx").text(data.client_xlx); //经营品牌
				$("#client_uict").text(data.F_AreaName); //大区
				$("#client_tyicu").text(data.F_BranchName); //分公司
				
				$("#client_citon").text(data.F_MaterialID); //物料编码
				$("#client_ituec").text(data.F_MaterialName); //物料名称
				$("#client_uitio").text(data.F_Model); //型号
		        $("#client_yousft").text(data.F_Specs); //规格
				$("#client_classify1").text(data.F_Level1); //一级分类
				$("#client_classify2").text(data.F_Level2); //二级分类
				$("#client_classify3").text(data.F_Level3); //三级分类
		        $("#client_lovei").text(data.F_Brand); //品牌
				$("#client_fpeiro").text(data.F_MaterialEffect); //复合肥肥效
				$("#client_chnpin").text(data.F_Pipeline); //产品线
				$("#client_goniy").text(data.F_Craft); //工艺
		   // 客户姓名 事发地模块
		        $("#xq_khxm").text(data.F_CusName); //客户姓名
				$("#xq_khdh").text(data.F_CusPhone); //客户电话
				$("#xq_company").text(data.F_Description); //问题描述
		        $("#xq_source").text(data.F_IncidentProvince); //事发地省
		        $('#xq_dieuig').text(data.F_IncidentCity); //事发地市	
		        $('#xq_handle').text(data.F_IncidentCountry); //事发地县	
		        $("#xq_fkdep").text(data.F_IncidentTownship); //事发地乡
		        $("#xq_responseUser").text(data.F_IncidentDetailed); //事发地详细地址
		        if($("#xq_gdzt").text()=="咨询"){
					$('.zixun1').show();//咨询模块
					$('.kehu1').show(); //客户姓名 事发地
				}else if($("#xq_gdzt").text()=="投诉"){
					$('.tousu1').show();//投诉模块
					$('.bianhao1').show();//客户  物料编码
					$('.kehu1').show(); //客户姓名 事发地
				}else if($("#xq_gdzt").text()=="抽检"){
					$('.choujian1').show();//抽检模块
					$('.bianhao1').show();//客户  物料编码
					$('.kehu1').show(); //客户姓名 事发地
				}else if($("#xq_gdzt").text()=="建议及其他"){
					$('.zixun1').show();//咨询模块
					$('.kehu1').show(); //客户姓名 事发地
				}
		   
		   
		   
		   
		   
		   
		   
		   
		   
		   
		   
		   
		   
		   
				// $("#xq_chuangj").text(data.F_CreateBy); //创建人账号
				// $("#xq_chiangjia").text(data.F_CreateName); //创建人
				// $("#xq_wwww").text(data.F_DealBy); //处理人
				// $("#xq_eeee").text(data.F_DealTime); //处理时间
				// $("#xq_rrrr").text(data.F_DealContent); //处理内容
				// $("#xq_tttt").text(data.F_DealResult); //处理结果
				// $("#xq_yyyy").text(data.F_DealReasons); //未处理原因
				// $("#xq_uuuu").text(data.F_CreateBy); //添加人工号
				// 
				// $("#xq_legal").text(data.F_Legal); //法人
				// $("#xq_phone").text(data.F_LegalPhone); //法人电话
				// $("#xq_province").text(data.F_AddressProvince); //省
				// $("#xq_city").text(data.F_AddressCity); //市
				// $("#xq_county").text(data.F_AddressCountry); //县
				// $("#xq_village").text(data.F_AddressTownship); //乡
				// $("#xq_site").text(data.F_AddressFull); //详细地址
				// $("#xq_type").text(data.F_Channel); //渠道类型
				// $("#xq_whether").text(data.F_IsRunXLX); //是否经营心连心
				// $("#xq_sales").text(data.F_AnnualSales); //年销量
				// // $("#xq_recipe").text(data.F_Formula); //配方
				// $("#xq_crop").text(data.F_RaiseCrops); //种植作物
				// $("#xq_area").text(data.F_PlantingArea); //种植面积
				// $("#xq_brand").text(data.F_FertilizerBrand); //用肥品牌
				if(data.IsEffective === 0) {
					$('.xq_notes').hide();
				} else {
					$('.xq_notes').show();
					$("#xq_note").text(data.Province); //无效原因
				}

			}
		}
	});
}

//获取修改记录
function initTableLogs() {
	//先销毁表格
	$('#itemTableList4').bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	$("#itemTableList4").bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		url: huayi.config.callcenter_url + "WorkOrderLogs/GetList", //获取数据的Servlet地址
		contentType: 'application/x-www-form-urlencoded',
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pageSize: 10, //每页显示的记录数
		pageNumber: 1, //当前第几页
		pageList: [10, 20, 50, 100], //记录数可选列表
		search: false, //是否启用查询
		showColumns: false, //显示下拉框勾选要显示的列
		showRefresh: false, //显示刷新按钮
		sidePagination: "server", //表示服务端请求
		//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		//设置为limit可以获取limit, offset, search, sort, order
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				page: params.pageNumber, //否	int	当前页
				pagesize: params.pageSize, //否	int	每页数
				orderid: $("#xq_gdbh").text(), //否	string 工单编号
				//keyword: detailOrderNum, //否	string	模糊搜索（之前反馈内容，修改的反馈内容，工单编号）
				//starttime: $('#sc_time').val() && $('#sc_time').val().split(' ~ ')[0], //否	string	工单起止时间
				//endtime: $('#sc_time').val() && $('#sc_time').val().split(' ~ ')[1], //否	string	工单起止时间
				token: $.cookie("token"),
			};
			return param;
		},
		onLoadSuccess: function() { //加载成功时执行
			//layer.msg("加载成功");
			authorizeOperateButton();
		},
		onLoadError: function() { //加载失败时执行
			//layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});
}

//获取 处理记录 催办记录 评论记录
function getItemList(type) {
	//先销毁表格
	var table = $("#itemTableList" + type);
	table.bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	table.bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		url: huayi.config.callcenter_url + "WorkOrderNew/GetItemList", //获取数据的Servlet地址
		contentType: 'application/x-www-form-urlencoded',
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pageSize: 10, //每页显示的记录数
		pageNumber: 1, //当前第几页
		pageList: [10, 20, 50, 100], //记录数可选列表
		search: false, //是否启用查询
		showColumns: false, //显示下拉框勾选要显示的列
		showRefresh: false, //显示刷新按钮
		sidePagination: "server", //表示服务端请求
		//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		//设置为limit可以获取limit, offset, search, sort, order
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				pageindex: params.pageNumber,
				pagesize: params.pageSize,
				type: type,
				// id: $("#xq_gdbh").text(), // 工单编号
				id: detailOrderNum, // 工单ID
				token: $.cookie("token")
			};
			return param;
		},
		onLoadSuccess: function() { //加载成功时执行
			//layer.msg("加载成功");
		},
		onLoadError: function() { //加载失败时执行
			//layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});
}

//格式化处理详情
//0 创建
//1 指派
//2 接单
//3 处理
//4 退回
//5 异常退回
//6 催办
//7 处理完结
//8评价
//9 修改
//10 删除
//11 待办理
//12 已办理
//13 回访
//14 延期
function formatterDealDetail(val, row) {
    var str = '';
    if (row.F_OptType == 0)
        str = str + row.F_CreateUser + " 创建工单" + "<br>"; //formatterUserName(row.F_CreateName, row.F_CreateUser)
    if (row.F_OptType == 1)
        str = str + row.F_CreateUser + " 指派工单";
    if (row.F_OptType == 2)
        str = str + row.F_CreateUser + " 接单" + "<br>";
    if (row.F_OptType == 3)
        str = str + row.F_CreateUser + " 处理工单";
    if (row.F_OptType == 4)
        str = str + row.F_CreateUser + " 退回工单";
    if (row.F_OptType == 5)
        str = str + row.F_CreateUser + " 异常退回";
    if (row.F_OptType == 6)
        str = str + row.F_CreateUser + " 催办工单";
    if (row.F_OptType == 7)
        str = str + row.F_CreateUser + " 完结工单";
    if (row.F_OptType == 8)
        str = str + row.F_CreateUser + " 评价工单";
    if (row.F_OptType == 9)
        str = str + row.F_CreateUser + " 修改工单";
    if (row.F_OptType == 10)
        str = str + row.F_CreateUser + " 删除工单";
    if (row.F_OptType == 11)
        str = str + row.F_CreateUser + " 待办理工单";
    if (row.F_OptType == 12)
        str = str + row.F_CreateUser + " 办理工单";
    if (row.F_OptType == 13)
        str = str + row.F_CreateUser + " 回访工单";
    if (row.F_OptType == 14)
        str = str + row.F_CreateUser + " 延期工单";

    
	//if(!row.IsLast && !row.DealTime && !row.SureUserName && !row.ToDeptName){
	//	str = str + formatterUserName(row.F_CreateName, row.F_CreateUser) + " 创建了工单。" + "<br>";
	//}
	//if(row.IsLast) {
	//	str = str + formatterUserName(row.F_CreateName, row.F_CreateUser) + " 完结工单。" + "<br>";
	//}
	//if(row.DealTime) {
	//	str = str + formatterUserName(row.F_CreateName, row.F_CreateUser) + " 处理工单：" + "<br>";
	//	str = str + row.Detail + "<br>";
	//}
	//if(row.SureUserName) {
	//	str = str + formatterUserName(row.F_CreateName, row.F_CreateUser) + " 接单。" + "<br>";
	//}
	
	//if(row.ToDeptName) {
	//	if(row.State != 6){
	//		str = str + formatterUserName(row.CreateUser, row.CreateUserName) + " 指派工单给 " + row.ToDeptName + "：";
	//		if(row.ToUserName) {
	//			str = str + formatterUserName(row.ToUser, row.ToUserName);
	//		}
	//	}
	//	if(row.State === 6){
	//		str = str +  row.ToDeptName + "：" + formatterUserName(row.ToUser, row.ToUserName)  + " 将工单退回给 " + formatterUserName(row.CreateUser, row.CreateUserName);
	//	}
	//	str = str + "<br>";
	//}	
	//if(row.IsStart) {
	//	str = str + formatterUserName(row.CreateUser, row.CreateUserName) + " 重新开启工单。" + "<br>";
	//}
	return str;
}

/**
 * 格式化名称 返回(8000)管理员
 * @user_code 工号
 * @user_name 名称
 * */
function formatterUserName(user_code, user_name){
	var str = '';
	if(user_code){
		str = '(' + user_code + ')' + user_name; 
	}else{
		str = user_name;
	}
	return str;
}

function dcexcel(obj) {
	var orderMenu = top.$("iframe:visible")[0].src.split('/WorkOrder/')[1];
	//console.log(orderMenu);
	//工单状态(0待指派 1待接单的 2待完成的(待处理) 3已完成的 4我参与的 5超期工单)
	var state = ''; //否	string	工单状态
	switch(orderMenu) {
		case "WorkOrderAppoint.html": //待指派
			state = '0';
			break;
		case "WorkOrderReceive.html": //待接单
			state = '1';
			break;
		case "WorkOrderDispose.html": //待处理
			state = '2';
			break;
		case "WorkOrderParty.html": //已处理
			state = '3';
			break;
		case "WorkOrderPartake.html": //已参与
			state = '10';
			break;
		case "WorkOrderOverdue.html": //超期
			state = '5';
			break;
		case "approval_list.html": //超期
			state = '8';
			break;
		case "WorkOrderEmployees.html": //员工工单
		     state = '14';
			break;
		case "WorkOrderClient.html": //客户反馈
		     state = '9';
			break;
		default:
			break;
	}

	var url = huayi.config.callcenter_url + "WorkOrderNew/GetOvertime?token=" + $.cookie("token");
	url += "&keyword=" + $("#sc_key").val();
	url += "&state=" + state;
	url += "&states=" + $('#sc_state').val();
	url += "&type=" + $("#sc_source").val();
	url += "&typeclass=" + $("#sc_type").val();
	url += "&starttime=" + ($('#sc_time').val() && $('#sc_time').val().split(' ~ ')[0]);
	url += "&endtime=" + ($('#sc_time').val() && $('#sc_time').val().split(' ~ ')[1]);
	url += "&areaid=" + $("#sc_rengin").val();
	url += "&regionid=" + $("#sc_pro").val();
	url += "&buldingid=" + $("#sc_floor").val();
	obj.href = url;
}

//催办的 导出
function dcexcels(obj) {
	var url = huayi.config.callcenter_url + "WorkOrderNew/GetOvertime?token=" + $.cookie("token");
	url += "&keyword=" + $("#sc_key").val();
	url += "&type=" + $("#sc_source").val();
	url += "&typeclass=" + $("#sc_type").val();
	url += "&starttime=" + ($('#sc_time').val() && $('#sc_time').val().split(' ~ ')[0]);
	url += "&endtime=" + ($('#sc_time').val() && $('#sc_time').val().split(' ~ ')[1]);
	url += "&areaid=" + $("#sc_rengin").val();
	url += "&regionid=" + $("#sc_pro").val();
	url += "&buldingid=" + $("#sc_floor").val();
	obj.href = url;
}
